Description

The English sentence "X has been added/updated by Y" is translated as "X が Y によって追加/更新されました" in the current ja.yml. But it is a

little bit unnatural because it is a passive voice ("追加/更新されました" means "be added/updated"). Passive voice is not often used in

Japanese, so, many people think the sentence is translated one.

I think we can make Japanese strings more natural by using active voice if possible. Here is an example.

[Before]

text_issue_updated: "チケット %{id} が %{author} によって更新されました。"

[After]

text_issue_updated: "チケット %{id} を %{author} が更新しました。"

Associated revisions

Revision 17423 - 2018-06-28 03:16 - Go MAEDA

Use active voice instead of passive voice in Japanese translation (#29129).

Patch by Go MAEDA.

History

#1 - 2018-06-26 14:42 - Masakazu IZUI

+1

I'd like it.

#2 - 2018-06-27 05:29 - Yuuki NARA

+1

#3 - 2018-06-27 07:14 - Mizuki ISHIKAWA

+1

#4 - 2018-06-27 11:52 - Go MAEDA

- File ja_translation_change_passive_voice-v2.diff added

Updated the patch. Removed garbages and reverted some changes.

#5 - 2018-06-28 02:52 - Hinako Tajima

+1

#6 - 2018-06-28 03:21 - Go MAEDA

- Subject changed from Avoid passive voice in Japanese translation if possible to Use active voice instead of passive voice in Japanese translation

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 4.0.0

Committed.
ja_translation_change_passive_voice.diff 3.99 KB 2018-06-26 Go MAEDA

ja_translation_change_passive_voice-v2.diff 3.54 KB 2018-06-27 Go MAEDA
